local GuildFrame1 = CreateFrame("Frame")
local GuildFrame2 = CreateFrame("Frame")
local GuildFrame3 = CreateFrame("Frame")

GuildFrame1:RegisterEvent("PLAYER_LOGIN")
GuildFrame1:SetScript("OnEvent",function(self,event,...)
	if type(SuperGuildInvite) ~= "table" or date("%j") < SuperGuildInvite[UnitName("Player")] then --New user or new year
		SuperGuildInvite = {}
		SuperGuildInvite["toggle"] = false
		SuperGuildInvite[UnitName("Player")] = date("%j")
	end
	ChatFrame1:AddMessage("SuperGuildInvite: type /sgi followed by: reset, toggle, on or off",0.5,1,1,1)
	if SuperGuildInvite["toggle"] then
		ChatFrame1:AddMessage("SuperGuildInvite is ON",0,1,0,1)
	else
		ChatFrame1:AddMessage("SuperGuildInvite is OFF",1,0,0,1)
	end
end)

GuildFrame2:RegisterEvent("ZONE_CHANGED_NEW_AREA")
GuildFrame2:SetScript("OnEvent",function(self,event,...)
	local EntZone = {GetMapZones(GetCurrentMapContinent())}
	local WhoReqZone = EntZone[GetCurrentMapZone()]
	if SuperGuildInvite["toggle"] and IsInGuild() and CanGuildInvite() then
		SendWho("z-"..WhoReqZone.."")
		local NumWho = GetNumWhoResults()
		for i = 1,NumWho do
			local name, guild = GetWhoInfo(i)
			if guild == "" then 
				guild = "< No Guild! >" 
				print(" ")
				ChatFrame1:AddMessage(name.." is not a member of any guild.",1,0.2,0.2,1)
			end
			if guild == "< No Guild! >" and SuperGuildInvite["toggle"] then
				InviteTime = date("%j")
				if not SuperGuildInvite[name] or InviteTime > SuperGuildInvite[name] then
					SuperGuildInvite[name] = InviteTime
					GuildInvite(name)
					gName = GetGuildInfo(UnitName("Player"))
					gLevel = GetGuildLevel()
					SendChatMessage("Hello! Please join the level "..gLevel.." Guild <"..gName.."> for much fun and leveling!","WHISPER",nil,name)
					ChatFrame1:AddMessage("SuperGuildInvite tried to invite "..name.." to your Guild.",0.28,0.46,1,1)
				else
					ChatFrame1:AddMessage(name.." has declined invitation less that one day ago. Will not try to invite again today.",0.93,0.705,0.13,1)
					print(" ")
				end
			end
		end
	end
end)

GuildFrame3:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
GuildFrame3:SetScript("OnEvent",function(self,event,...)
	if FriendsFrame:IsShown() then  FriendsFrame:Hide()end
end)

SLASH_SUPERGUILDINVITE1,SLASH_SUPERGUILDINVITE2 = '/sgi','/superguildinvite'

function SlashCmdList.SUPERGUILDINVITE(msg,editbox)
	if msg == 'toggle' then
		if SuperGuildInvite["toggle"] then
			SuperGuildInvite["toggle"] = false
			ChatFrame1:AddMessage("SuperGuildInvite is now OFF",1,0,0,1)
		else
			SuperGuildInvite["toggle"] = true
			ChatFrame1:AddMessage("SuperGuildInvite is now ON",0,1,0,1)
		end
	elseif msg == 'on' then
		SuperGuildInvite["toggle"] = true
		ChatFrame1:AddMessage("SuperGuildInvite is now ON",0,1,0,1)
	elseif msg == 'off' then
		SuperGuildInvite["toggle"] = false
		ChatFrame1:AddMessage("SuperGuildInvite is now OFF",1,0,0,1)
	elseif msg == 'reset' then
		SuperGuildInvite = {}
		SuperGuildInvite["toggle"] = true
		ChatFrame1:AddMessage("SuperGuildInvite has reset all previous encounters.",1,0.2,0.2,1)
	elseif msg == '' then
		ChatFrame1:AddMessage("SuperGuildInvite: type /sgi followed by: reset, toggle, on or off",0.5,1,1,1)
	end
end